# Remove-RASVDIHost.md

## NAME

Remove-RASVDIHost

## SYNOPSIS

Removes a RAS Guest Agent from a host VM.

## SYNTAX

\*\*Remove-RASVDIHost \[[ProviderId](#providerid-string)] *(uint)* \[[Id](#id-string)] *(string)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASVDIHost \[[ProviderId](#providerid-string)] *(uint)* \[[Id](#id-string)] *(string)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASVDIHost \[-[InputObject](#inputobject)] *(*[*VDIHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)*)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASVDIHost \[-[InputObject](#inputobject)] *(*[*VDIHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)*)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a RAS Guest Agent from a host VM, thus making it a plain VM, not a host VM recognized by Parallels RAS.

## PARAMETERS

## ProviderId (uint)

The ID of the Provider server where the target desktop VM resides.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (string)

The ID of the target desktop VM.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md))

An object of type VDIHost representing the target desktop VM.

To obtain the object, use the Get-RASVDIHost cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NoUninstall (SwitchParameter)

If this parameter is included, the VDI Host agent will not be uninstalled from the server.

To uninstall the agent, omit this parameter.

When uninstalling the agent, your RAS admin credentials will be used by default.

You can specify different credentials if needed using the Username and Password parameters.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

An administrator account to remotely uninstall the RAS Guest Agent from the VM.

If this parameter is omitted, your RAS admin username and password will be used by default.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

The password of the account specified in the Username parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASVDIHost -ProviderId 3 -Id 42311235-09c5-ca15-337d-b9723015edf0

Removes the RAS Guest Agent from a VM specified by Provider ID and the VM Id.

The agent will be remotely uninstalled from the server using the specified credentials.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASVDIHost $VDIHost -NoUninstall

Removes RAS Guest Agent from a VM specified by the $VDIHost variable, which is an object of type VDIHost.

The object is obtained using the Get-RASVDIHost cmdlet.

The RAS Guest Agent will not be uninstalled from the server.\
\*\*---------- EXAMPLE 3 ----------

Get-RASVDIHost -ProviderId 3 -Id 42311235-09c5-ca15-337d-b9723015edf0 | Remove-RASVDIHost

Removes the RAS Guest Agent from a VM represented by a VDIHost object obtained from the pipeline output.

The agent will be remotely uninstalled from the VM using the specified credentials.

## RELATED LINKS

* [Add-RASVDIHostPoolMember](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasvdihostpoolmember.md)
* [New-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastemplate.md)
* [Get-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihost.md)
* [Invoke-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasvdihost.md)
* [Get-RASVDIHostStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihoststatus.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdihost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
